/*
 * $Header: /home/cvspublic/jakarta-slide/src/jaas/org/apache/slide/jaas/spi/SlidePrincipal.java,v 1.2 2004/08/31 15:31:38 unico Exp $
 * $Revision: 1.2 $
 * $Date: 2004/08/31 15:31:38 $
 *
 * ====================================================================
 *
 * Copyright 1999-2002 The Apache Software Foundation 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package org.apache.slide.jaas.spi;

import java.io.Serializable;
import java.security.Principal;


public class SlidePrincipal implements Principal, Serializable {
    
    private final String m_name;
    
    public SlidePrincipal(String name) {
        m_name = name;
    }
    
    public String getName() {
        return m_name;
    }
    
    public int hashCode() {
        return getName().hashCode();
    }
    
    public String toString() {
        return getName();
    }
    
    public boolean equals(SlidePrincipal principal) {
        return principal.getName().equals(getName());
    }
    
}
